Conversations
Destroy Custom Attributes
Removes the given custom attribute keys from a conversation
POST
/
api
/
v1
/
accounts
/
{account_id}
/
conversations
/
{conversation_id}
/
destroy_custom_attributes
Destroy Custom Attributes
curl --request POST \
--url https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"custom_attributes": [
"order_id",
"previous_conversation"
]
}
'import requests
url = "https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes"
payload = { "custom_attributes": ["order_id", "previous_conversation"] }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({custom_attributes: ['order_id', 'previous_conversation']})
};
fetch('https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"custom_attributes": {}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
The numeric ID of the conversation
Body
application/json
The list of custom attribute keys to remove from the conversation
Example:
["order_id", "previous_conversation"]
Response
Success
The remaining custom attributes of the conversation
⌘I
Destroy Custom Attributes

